<?php

// Include custom functionalities
require_once get_template_directory() . '/inc/image-optimization.php';

function kaz_enqueue_styles()
{
    wp_enqueue_style('kaz-fonts', get_template_directory_uri() . '/assets/fonts/fonts.css', array(), '1.0');
    wp_enqueue_style('kaz-style', get_stylesheet_uri(), array('kaz-fonts'), wp_get_theme()->get('Version'));

    // Enqueue Lenis.js
    wp_enqueue_script('lenis', get_template_directory_uri() . '/assets/js/vendor/lenis.min.js', array(), '1.0.0', true);

    // Enqueue custom scroll.js
    wp_enqueue_script('kaz-scroll', get_template_directory_uri() . '/assets/js/scroll.js', array('lenis'), '1.0.0', true);
}
add_action('wp_enqueue_scripts', 'kaz_enqueue_styles');
